org.eclipse.jetty.plus.webapp

## Class PlusConfiguration

- java.lang.Object
- - org.eclipse.jetty.webapp.AbstractConfiguration
  - - org.eclipse.jetty.plus.webapp.PlusConfiguration

All Implemented Interfaces:
  Configuration

    public class PlusConfiguration
    extends AbstractConfiguration

Configuration

### Constructor Summary

Constructors
Constructor and Description
`PlusConfiguration()`

### Method Summary

Methods
`void` `bindUserTransaction(WebAppContext context)`
`void` `cloneConfigure(WebAppContext template, WebAppContext context)` Clone configuration instance.
`void` `configure(WebAppContext context)` Configure WebApp.
`void` `deconfigure(WebAppContext context)` DeConfigure WebApp.
`protected void` `lockCompEnv(WebAppContext wac)`
`void` `postConfigure(WebAppContext context)` Clear down after configuration.
`void` `preConfigure(WebAppContext context)` Set up for configuration.
`protected void` `unlockCompEnv(WebAppContext wac)`

### Methods inherited from class org.eclipse.jetty.webapp.AbstractConfiguration

`destroy`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlusConfiguration

    public PlusConfiguration()

### Method Detail

#### preConfigure

    public void preConfigure(WebAppContext context)
                      throws Exception

Description copied from interface: `Configuration`
Set up for configuration.

Typically this step discovers configuration resources

Specified by:
  `preConfigure` in interface `Configuration`
Overrides:
  `preConfigure` in class `AbstractConfiguration`
Parameters:
  `context` - The context to configure
Throws:
  `Exception`

#### cloneConfigure

    public void cloneConfigure(WebAppContext template,
                      WebAppContext context)
                        throws Exception

Description copied from interface: `Configuration`
Clone configuration instance.

Configure an instance of a WebAppContext, based on a template WebAppContext that has previously been configured by this Configuration.

Specified by:
  `cloneConfigure` in interface `Configuration`
Overrides:
  `cloneConfigure` in class `AbstractConfiguration`
Parameters:
  `template` - The template context
  `context` - The context to configure
Throws:
  `Exception`

#### configure

    public void configure(WebAppContext context)
                   throws Exception

Description copied from interface: `Configuration`
Configure WebApp.

Typically this step applies the discovered configuration resources to either the `WebAppContext` or the associated `MetaData`.

Specified by:
  `configure` in interface `Configuration`
Overrides:
  `configure` in class `AbstractConfiguration`
Parameters:
  `context` - The context to configure
Throws:
  `Exception`

#### postConfigure

    public void postConfigure(WebAppContext context)
                       throws Exception

Description copied from interface: `Configuration`
Clear down after configuration.

Specified by:
  `postConfigure` in interface `Configuration`
Overrides:
  `postConfigure` in class `AbstractConfiguration`
Parameters:
  `context` - The context to configure
Throws:
  `Exception`

#### deconfigure

    public void deconfigure(WebAppContext context)
                     throws Exception

Description copied from interface: `Configuration`
DeConfigure WebApp. This method is called to undo all configuration done. This is called to allow the context to work correctly over a stop/start cycle

Specified by:
  `deconfigure` in interface `Configuration`
Overrides:
  `deconfigure` in class `AbstractConfiguration`
Parameters:
  `context` - The context to configure
Throws:
  `Exception`

#### bindUserTransaction

    public void bindUserTransaction(WebAppContext context)
                             throws Exception

Throws:
  `Exception`

#### lockCompEnv

    protected void lockCompEnv(WebAppContext wac)
                        throws Exception

Throws:
  `Exception`

#### unlockCompEnv

    protected void unlockCompEnv(WebAppContext wac)
                          throws Exception

Throws:
  `Exception`